## com.saxonica.codegen
Class IntegerRangeCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.IntegerRangeCompiler

    public class IntegerRangeCompiler

extends ValueCompiler

Generate Java code to implement an XPath integer range expression of the form (1 to 10) with constant end points. Assume that zero-length and single-length sequences have already been optimized out.

Constructor Summary
`IntegerRangeCompiler()`

Method Summary
`void` `compileAsLoop(CompilerService compiler, Value expr, LoopAction action)` Compile an expression in the form of a loop.
`String` `compileToIterator(CompilerService compiler, Value expr)`
`String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerRangeCompiler

    public IntegerRangeCompiler()

Method Detail

### compileToIterator

    public String compileToIterator(CompilerService compiler,
                                    Value expr)

  Overrides:
    `compileToIterator` in class `ValueCompiler`

### compileAsLoop

    public void compileAsLoop(CompilerService compiler,
                              Value expr,
                              LoopAction action)

  Compile an expression in the form of a loop. Default implementation.

  Parameters:
    `compiler` - the CompilerService
    `expr` - the expression to be compiled
    `action` - the action to be taken to process each item in the sequence returned by the expression

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.